<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.51
Name: [2] Dane wykonanej usługi (bazowy)
Description: Bazowy szablon CDA dla danych wykonanej usługi
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000">
   <title>[2] Dane wykonanej usługi (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]
Item: (plCdaBaseDocumentationOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']"
         id="tmp-r-8ed89366-df53-47fc-abe1-202bb7294a05">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="string(@typeCode)='DOC'">(plCdaBaseDocumentationOf): Wartość dla @typeCode MUSI wynosić 'DOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.51'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.51']/@nullFlavor)">(plCdaBaseDocumentationOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.51'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.51'])&lt;=1">(plCdaBaseDocumentationOf): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.51'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']])&gt;=1 and not(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/@nullFlavor)">(plCdaBaseDocumentationOf): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']])&lt;=1">(plCdaBaseDocumentationOf): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.51']
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.51']"
         id="tmp-r-1219dcdd-0b9a-4d64-b6e1-6c34ba1f0d16">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseDocumentationOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.51'">(plCdaBaseDocumentationOf): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.51'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaBaseDocumentationOf): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]"
         id="tmp-r-493d2a0f-b604-4383-8deb-07b6f2a97414">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="string(@classCode)='ACT'">(plCdaBaseDocumentationOf): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaBaseDocumentationOf): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']/@nullFlavor)">(plCdaBaseDocumentationOf): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'])&lt;=1">(plCdaBaseDocumentationOf): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaBaseDocumentationOf): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaBaseDocumentationOf): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:id
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:id"
         id="tmp-r-87302287-7056-47dc-85c6-81347e09afc8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseDocumentationOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']"
         id="tmp-r-52531edd-f2de-41ed-b2ff-4eea7ffd0d12">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseDocumentationOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaBaseDocumentationOf): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:effectiveTime
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:effectiveTime"
         id="tmp-r-69caacd4-12fd-4962-a9eb-0803fd6ec682">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseDocumentationOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaBaseDocumentationOf): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:performer
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:performer"
         id="tmp-r-1847b4da-3690-488f-8040-0c22c8b00279">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="@typeCode">(plCdaBaseDocumentationOf): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaBaseDocumentationOf): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19601-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaBaseDocumentationOf): Wartość dla typeCode MUSI pochodzić z zbiór wartości 'x_ServiceEventPerformer' (DYNAMICZNE)</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:functionCode)&lt;=1">(plCdaBaseDocumentationOf): element hl7:functionCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaBaseDocumentationOf): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaBaseDocumentationOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaBaseDocumentationOf): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:performer/hl7:functionCode
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:performer/hl7:functionCode"
         id="tmp-r-38bf69ee-3645-4111-8196-dc8585e87be5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseDocumentationOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaBaseDocumentationOf): Wartość elementu MUSI wynosić ParticipationFunction (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaBaseDocumentationOf): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ParticipationFunction (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:performer/hl7:time
Item: (plCdaBaseDocumentationOf)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:performer/hl7:time"
         id="tmp-r-fca90bed-17a8-423c-9d1b-7363a678fe0e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.51-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBaseDocumentationOf): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.51
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6']]/hl7:performer/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaBaseDocumentationOf)
--></pattern>
